Package twisted :: Package spread :: Module pb :: Class IPerspective |
[frames | no frames]

## Class IPerspective

    Interface --+
                |
               IPerspective

per*spec*tive, n. : The relationship of aspects of a subject to each other and to a whole: 'a perspective of history'; 'a need to view the problem in the proper perspective'.

This is a Perspective Broker-specific wrapper for an avatar. That is to say, a PB-published view on to the business logic for the system's concept of a 'user'.

The concept of attached/detached is no longer implemented by the framework. The realm is expected to implement such semantics if needed.

Method Summary
A jelly list. | ``perspectiveMessageReceived`(self, broker, message, args, kwargs)` This method is called when a network message is received.

Method Details

### perspectiveMessageReceived(self, broker, message, args, kwargs) This method is called when a network message is received. Parameters: `broker` - The Perspective Broker. `message` - The name of the method called by the other end. (type=str) `args` - The arguments that were passed by the other end. It is recommend that you use the `unserialize' method of the broker to decode this. (type=list in jelly format) `kwargs` - The keyword arguments that were passed by the other end. It is recommended that you use the `unserialize' method of the broker to decode this. (type=dict in jelly format) Returns: It is recommended that you use the `serialize' method of the broker on whatever object you need to return to generate the return value. (type=A jelly list.)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:57 2003 | http://epydoc.sf.net